Skip to main content
OCLC Support

If we have ILLiad Authentication going into 9.0 what should we be prepared to happen with the passwords

Symptom
  • You are going to upgrade to 9.0 and you are using ILLiad Authentication, there are password requirements that you are going to have to change your password the first time you logon as patrons and librarians.  You want to know what to expect.
Applies to
  • ILLiad
Resolution

All patrons and staff will need to change their Passwords. 

1.  Information on how complex you want to make the passwords is found here for Staff Password Complexity in the ILLiad 9.0 FAQ page.

2.  And for ILLiad Basic Authentication Requirements for your patrons.

If you are self-hosted and you are using RemoteAuth Authentication, and none of your patrons are using ILLiad Authentication, you will want to update the Patron records so that they do not have an AuthType of ILLiad.  To do this, you will need to run this SQL Query if you are a single site:

Update Users

Set Authtype='Default'

go

 

If you have a shared site and all the sites are not using ILLiad Authentication:

Update UsersALL

Set Authtype='Default'

go

 

If you are a share site of ABC, CBS, and NBC and only ABC will be only using RemoteAuth for all their patrons, then you would do this:

Update UsersALL

Set Authtype='Default'

Where NVTGC='ABC'

go

 

If you are a hosted site, you should let us know before you upgrade if some of the patrons will be using ILLiad Authentication, or if all of the Patrons will be using RemoteAuth Authentication.  We will make the adjustment during the Upgrade process. 

In addition to your patrons having to possibly change their passwords, the Librarians will have to change their password when upgrading to 9.0.  Once a password is updated, you cannot use it again.  So if you updated from 8.7 to 9.0 and your username is "Shazam," then you could not go to another computer in 8.7 and use the username "Shazam" again to upgrade the next computer to 9.0.  If that is the only username you have, then you would need to download 9.0.1.0 and install it.  After the install, you would open up the ILLiad Client using "Shazam" and the new password you created.

If you have questions, contact OCLC Support.

Page ID
15697